]> git.sur5r.net Git - bacula/bacula/blobdiff - regress/tests/auto-label-test
Update
[bacula/bacula] / regress / tests / auto-label-test
index 2e020e766bacd5a9ef899168fc384d5fc45dad91..0b85a90fa076f4578a024284bfb0974bb98ac72b 100755 (executable)
@@ -3,34 +3,30 @@
 #  Test if Bacula can automatically create a Volume label.
 #
 
-debug=0
-if test "$debug" -eq 1 ; then
-  out="tee"
-else
-  out="output"
-fi
-cwd=`pwd`
-scripts/copy-test-confs
-scripts/cleanup
-echo "${cwd}/build" >/tmp/file-list
+TestName="auto-label-test"
+JobName=AutoLabel
+. scripts/functions
+
+copy_test_confs
+
+echo "${cwd}/build" >${cwd}/tmp/file-list
 
 cp ${cwd}/bin/bacula-dir.conf ${cwd}/tmp/1
 sed "s%# Label Format%  Label Format%" ${cwd}/tmp/1 >${cwd}/bin/bacula-dir.conf
 
-echo " "
-echo " "
-echo " === Starting auto-label-test at `date +%R:%S` ==="
-echo " === Starting auto-label-test at `date +%R:%S` ===" >>working/log
-echo " "
+change_jobname CompressedTest $JobName
+start_test
 
-cat <<END_OF_DATA >tmp/bconcmds
-@$out /dev/null
+cat <<END_OF_SCRIPT >${cwd}/tmp/bconcmds
+@output /dev/null
+messages
+@$out ${cwd}/tmp/log1.out
 status all
 status all
 list pools
 messages
-@$out tmp/log1.out
-run job=CompressedTest storage=File yes
+@#setdebug level=110 storage=File
+run job=$JobName storage=File yes
 list pools
 list volumes
 wait
@@ -38,7 +34,7 @@ messages
 @# 
 @# now do a restore
 @#
-@$out tmp/log2.out
+@$out ${cwd}/tmp/log2.out
 restore where=${cwd}/tmp/bacula-restores select storage=File
 unmark *
 mark *
@@ -57,39 +53,12 @@ wait
 messages
 @$out
 quit
-END_OF_DATA
-
-if test "$debug" -eq 1 ; then
-  bin/bacula start
-  cat tmp/bconcmds | bin/bconsole -c bin/bconsole.conf
-else
-  bin/bacula start 2>&1 >/dev/null
-  cat tmp/bconcmds | bin/bconsole -c bin/bconsole.conf  2>&1 >/dev/null
-fi
+END_OF_SCRIPT
 
-scripts/check_for_zombie_jobs storage=File
+run_bacula
+check_for_zombie_jobs storage=File || exit 1
+stop_bacula
 
-bin/bacula stop 2>&1 >/dev/null
-grep "^  Termination: *Backup OK" tmp/log1.out 2>&1 >/dev/null
-bstat=$?
-grep "^  Termination: *Restore OK" tmp/log2.out 2>&1 >/dev/null
-rstat=$?
-diff -r build tmp/bacula-restores${cwd}/build 2>&1 >/dev/null
-if [ $? != 0 -o $bstat != 0 -o $rstat != 0 ] ; then
-   echo " "
-   echo " "
-   echo "  !!!!! auto-label-test failed!!! !!!!! "
-   echo "  !!!!! auto-label-test failed!!! !!!!! " >>test.out
-   if [ $bstat != 0 -o $rstat != 0 ] ; then
-      echo "  !!!!! Bad Job termination status     !!!!! "
-      echo "  !!!!! Bad Job termination status     !!!!! " >>test.out
-   else
-      echo "  !!!!! Restored files differ          !!!!! "
-      echo "  !!!!! Restored files differ          !!!!! " >>test.out
-   fi
-   echo " "
-else
-   echo "  ===== auto-label-test OK ===== "
-   echo "  ===== auto-label-test OK ===== " >>test.out
-   scripts/cleanup
-fi
+check_two_logs
+check_restore_diff
+end_test